org.keycloak.userprofile.config

## Class UPAttribute

- java.lang.Object
- - org.keycloak.userprofile.config.UPAttribute

-     public class UPAttribute
      extends Object

  Configuration of the Attribute.
  Author:
    Vlastimil Elias

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UPAttribute()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValidation(String validator, Map<String,Object> config)`
    `Map<String,Object>` | `getAnnotations()`
    `String` | `getDisplayName()`
    `String` | `getGroup()`
    `String` | `getName()`
    `UPAttributePermissions` | `getPermissions()`
    `UPAttributeRequired` | `getRequired()`
    `UPAttributeSelector` | `getSelector()`
    `Map<String,Map<String,Object>>` | `getValidations()`
    `void` | `setAnnotations(Map<String,Object> annotations)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setGroup(String group)`
    `void` | `setName(String name)`
    `void` | `setPermissions(UPAttributePermissions permissions)`
    `void` | `setRequired(UPAttributeRequired required)`
    `void` | `setSelector(UPAttributeSelector selector)`
    `void` | `setValidations(Map<String,Map<String,Object>> validations)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UPAttribute

          public UPAttribute()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getValidations

          public Map<String,Map<String,Object>> getValidations()

    - #### setValidations

          public void setValidations(Map<String,Map<String,Object>> validations)

    - #### getAnnotations

          public Map<String,Object> getAnnotations()

    - #### setAnnotations

          public void setAnnotations(Map<String,Object> annotations)

    - #### getRequired

          public UPAttributeRequired getRequired()

    - #### setRequired

          public void setRequired(UPAttributeRequired required)

    - #### getPermissions

          public UPAttributePermissions getPermissions()

    - #### setPermissions

          public void setPermissions(UPAttributePermissions permissions)

    - #### addValidation

          public void addValidation(String validator,
                                    Map<String,Object> config)

    - #### getSelector

          public UPAttributeSelector getSelector()

    - #### setSelector

          public void setSelector(UPAttributeSelector selector)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### getGroup

          public String getGroup()

    - #### setGroup

          public void setGroup(String group)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.